v6.0
get
/ec-ors-svc/rest/v6.0/studies/{studyId}/{mode}/lots/manufacturing-lots/{lotId}
Returns one manufacturing lot with all active pooled allocations and country associations.
Request
Path Parameters
-
lotId(required): string(UUID)
ID of the lot.Example:
ABA7CB8BB94846079617C7F721F58BE0 -
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
1BC29B36F5D64B1B95F4BDBBCEA481BE
Query Parameters
-
includeDeleted: boolean
Include deleted records.Example:
false
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : Manufacturing Lot v6.0
Type:
objectTitle:
Manufacturing Lot v6.0Manufacturing lot details.
Show Source
-
blindedLotId: string
(uuid)
Title:
Blinded Lot IDBlinded lot ID. -
blindedLotVersionStart: string
(date-time)
Blinded lot version start date.
-
comment: string
Comment.Example:
Some comment -
depotId: string
(uuid)
Depot id for pooled lot quantity.
-
doNotCount: number
(BigDecimal)
Title:
Do Not CountDo Not Count (DNC) days.Example:10 -
doNotShip: number
(BigDecimal)
Title:
Do Not ShipDo Not Ship (DNS) days.Example:10 -
expirationDate: string
(date-time)
Title:
Expiration DateExpiration date. -
inUse: boolean
Indicates whether the lot is in use.Example:
true -
kitTypeSrcId: string
(uuid)
Title:
Kit Type Source IDKit type ID. -
lotId: string
(uuid)
Title:
Lot IDLot ID. -
lotNumber: string
Title:
Lot NumberLot number.Example:Lot1001 -
manufacturingLotNumber: string
Title:
Manufacturing Lot NumberManufacturing lot number.Example:Mlot1001 -
materialId: string
(String)
Title:
Material IDMaterial ID.Example:1234 -
objectVersionNumber: number
(BigDecimal)
Object version number.Example:
5 -
operationType: string
Allowed Values:
[ "CREATED", "REMOVED", "MODIFIED" ]Operation type.Example:MODIFIED -
pooledLots: array
pooledLots
Active pooled allocations. Empty for a non-pooling manufacturing lot.
-
quantity: number
(double)
Title:
QuantityKit quantity.Example:10 -
reason: string
Reason.Example:
Some reason -
runNumber: string
Run number.Example:
run number 01 -
softwareVersionNumber: number
(BigDecimal)
Software version number.Example:
2 -
userId: string
(uuid)
User ID.Example:
b1b8327a-faa6-4122-8710-6192ab5984ef -
versionEnd: string
(date-time)
The end date until which the data is applicable or valid.
-
versionStart: string
(date-time)
The timestamp marking the beginning of the validity period for this record version within the system.
Nested Schema : pooledLots
Type:
arrayActive pooled allocations. Empty for a non-pooling manufacturing lot.
Show Source
-
Array of:
object Pooled Lot v6.0
Title:
Pooled Lot v6.0Stored pooled allocation for a manufacturing lot.
Nested Schema : Pooled Lot v6.0
Type:
objectTitle:
Pooled Lot v6.0Stored pooled allocation for a manufacturing lot.
Show Source
-
countries: array
countries
Eligible destination country codes.
-
depotId: string
(uuid)
Source depot for the pooled allocation.
-
kitTypeSrcId: string
(uuid)
Source kit type for the pooled allocation.
-
materialId: string
Material identifier for the pooled allocation.Example:
M1 -
quantity: number
Shared quantity for all eligible countries in this allocation.Example:
100
Examples
400 Response
Bad request.
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectResult Object
Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Example:
{
"field":"studyId",
"reason":"Invalid value"
}403 Response
The study identifier does not match any study identifiers in Clinical One
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectResult Object
Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Example:
{
"field":"studyId",
"reason":"Invalid value"
}404 Response
Manufacturing lot or study not found.
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectResult Object
Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Example:
{
"field":"studyId",
"reason":"Invalid value"
}500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectResult Object
Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Example:
{
"field":"studyId",
"reason":"Invalid value"
}